## Alternative Frontends

[![Awesome](https://awesome.re/badge.svg)](https://awesome.re) 
[![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://github.com/digitalblossom/alternative-frontends/graphs/commit-activity)

**This is a list of privacy-respecting frontends to popular services like social media. All of them are cross-plattform webapps and should work on your device no matter the OS and hardware.**
___
ⓘ You can suggest new frontends and modifications to the list **[here](https://github.com/digitalblossom/alternative-frontends/issues/new/choose)**.

Thanks to **3nprob**, **aaferrari**, **heartlog**, **NxOne14**, **ZekXtreme**, **TimDaub**, **privacytime101**, **HexagonCDN**, **Odyssey346**, **gi-yt**, **Solomon1732** and **lolcatw** for their contributions!

___
[Youtube](#youtube) • [YT Music](#youtube-music) • [Reddit](#reddit) • [Twitter](#twitter) • [Imgur](#imgur) • [Tiktok](#tiktok) • [Medium](#medium) • [Quora](#quora) • [GitHub](#github) • [StackOverflow](#stackoverflow) • [IMDb](#imdb) • [Genius](#genius) • [XVideos](#xvideos) • [Fandom](#fandom) • [Translate](#translate) • [Search Engines](#search-engines) • [Instagram](#instagram) • [Odysee](#odysee) • [Wikipedia](#wikipedia) • [Tools](#tools)

☰ You can jump between sections via the little menu icon above to the left. 

ⓘ Check out the [tools section](#tools) at the bottom to find out how to easily adopt and even self-host.
___
### YouTube
- **Invidious**
   - Lightweight YouTube frontend - no tracking, no ads and Javascript is optional.
   - [Homepage](https://invidious.io) | [Repo](https://github.com/iv-org/invidious)
   - [Public Instances](https://docs.invidious.io/instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://docs.invidious.io/Installation.md)
   - [x] Decentralized Options | [I2P](http://tube.i2p) | [Onion](https://github.com/iv-org/documentation/blob/master/Invidious-Instances.md#tor-onion-services) | [Loki](http://invidious.loki)

- **Piped**
   - Alternative privacy-friendly YouTube frontend. Lightweight, no ads (Sponsorblock integrated), no tracking, 4K support and more. 
   - [Main Instance](https://piped.video) | [Repo](https://github.com/TeamPiped/Piped)
   - [Public Instances](https://piped.kavin.rocks/preferences) (scroll down)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://piped-docs.kavin.rocks/docs/self-hosting)
   - [x] Decentralized Options | [IPNS](https://github.com/digitalblossom/alternative-frontends/issues/25#issuecomment-1002261657) | [Onion](http://piped2bbch4xslbl2ckr6k62q56kon56ffowxaqzy42ai22a4sash3ad.onion)

- **Cloudtube**
   - Alternative Invidious frontend without Javascript. 
   - [Main Instance](https://tube.cadence.moe) | [Repo](https://sr.ht/~cadence/tube)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://git.sr.ht/~cadence/tube-docs/tree/main/item/docs/cloudtube/Installing%20CloudTube.md)

- **Viewtube**
   - Privacy-respecting frontend with subscription, watch-progress and recommendation features. 
   - [Main Instance](https://viewtube.io/) | [Repo](https://github.com/ViewTube/viewtube-vue)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/ViewTube/viewtube-vue#host-it-yourself)


### YouTube Music
- **BeatBump**
   - Privacy-friendly YouTube Music frontend built with Svelte. Supports device sync.
   - [Main Instance](https://beatbump.ml) | [Repo](https://github.com/snuffyDev/Beatbump)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://snuffydev.github.io/Beatbump/index.html#/docs/introduction/deploying)

- **Hyperpipe**
   - A privacy-respecting frontend for YouTube Music, inspired by and built with the help of Piped
   - [Main Instance](https://hyperpipe.surge.sh) | [Repo](https://codeberg.org/Hyperpipe/Hyperpipe)
   - [Public Instances](https://hyperpipe.codeberg.page)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/Hyperpipe/Hyperpipe#usage)
   - [x] Decentralized Options | [Onion](https://hyperpipe.codeberg.page)

### Reddit
- **Teddit**
   - Privacy-focused lightweight Reddit frontend. No ads, no javascript. Provides an unofficial API. 
   - [Main Instance](https://teddit.net) | [Repo](https://codeberg.org/teddit/teddit)
   - [Public Instances](https://github.com/teddit-net/teddit#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/teddit/teddit#installation)
   - [x] Decentralized Options | [I2P](http://teddit.i2p) 

- **Libreddit**
   - Privacy-focused fast Reddit frontend without ads, javascript and tracking. All requests are proxied through the server.
   - Main Instance n/a | [Repo](https://github.com/spikecodes/libreddit)
   - [Public Instances](https://github.com/libreddit/libreddit-instances/blob/master/instances.md)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/spikecodes/libreddit#installation)

- **Troddit**   
   - A significantly smaller Open Source frontend for Reddit, written in NextJS.
   - [Main Instance](https://troddit.com/) | [Repo](https://github.com/burhan-syed/troddit)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/burhan-syed/troddit#getting-started)

   ⓘ Uses Javascript and Vercel's [audience analytics](https://nextjs.org/analytics). Connects directly to Reddit without a proxy.

### Twitter
- **Nitter**
   - Lightweight Twitter frontend. No ads, no Javascript, no tracking. RSS support.
   - [Main Instance](https://nitter.net/) | [Repo](https://github.com/zedeus/nitter)
   - [Public Instances](https://github.com/zedeus/nitter/wiki/Instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/zedeus/nitter#installation)

   ⓘ The maintainer has [declared Nitter abandoned](https://github.com/zedeus/nitter/issues/1155) because of X's/Twitter's actions, but it still works most of the time.

### Imgur
- **Rimgu**
   - Lightweight Imgur frontend without Javascript and ads. Uses its own request implementation. Can use either API or scraping.
   - Main Instance n/a | [Repo](https://codeberg.org/3np/rimgu)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/3np/rimgu#docker-1)

   ⓘ Rimgu's development has been paused and Rimgo is recommended instead
   
- **Rimgo**
   - Rewrite of Rimgu in Go. Works without JS and has several public instances, including an Onion one.
   - [Main Instance](https://i.bcow.xyz/) | [Repo](https://codeberg.org/video-prize-ranch/rimgo)
   - [Public Instances](https://codeberg.org/video-prize-ranch/rimgo#instances)
   - Pattern for Redirector: `*imgur.com/*` to `https://i.bcow.xyz/$2`
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/video-prize-ranch/rimgo#install)
   - [x] Decentralized Options | [Onion](https://codeberg.org/video-prize-ranch/rimgo#instances)

- **Imgin**
   - Lightweight Imgur frontend without Javascript and ads. Uses its own request implementation.
   - [Main Instance](https://imgin.voidnet.tech/) | [Repo](https://git.voidnet.tech/kev/imgin)
   - Public Instances n/a
   - [x] Open-Source
   - [x] Self-Hostable

### Tiktok
- **ProxiTok**
   - Open-Source frontend for Tiktok that proxies users requests.
   - [Main Instance](https://proxitok.pabloferreiro.es) | [Repo](https://github.com/pablouser1/ProxiTok)
   - [Public Instances](https://github.com/pablouser1/ProxiTok/wiki/Public-instances#clearnet)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/pablouser1/ProxiTok#installation)
   - [x] Decentralized Options | [Onion](https://github.com/pablouser1/ProxiTok/wiki/Public-instances#tor)

### Medium
- **Scribe**
   - Tracking- and ad-free FOSS frontend for Medium
   - [Main Instance](https://scribe.rip) | [Repo](https://git.sr.ht/~edwardloveall/scribe)
   - [Public Instances](https://git.sr.ht/~edwardloveall/scribe/tree/main/docs/instances.md)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://git.sr.ht/~edwardloveall/scribe#deploying-your-own)

- **LibMedium**
   - Minimalist proxy for Medium written in Rust
   - [Main Instance](https://libmedium.batsense.net) | [Repo](https://github.com/realaravinth/libmedium)
   - [Public Instances](https://github.com/realaravinth/libmedium#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/realaravinth/libmedium#deploy)
   - [x] Decentralized Options | [Onion](https://github.com/realaravinth/libmedium#instances) | [I2P](https://github.com/realaravinth/libmedium#instances)

   ⓘ LibMedium is in early development

### Quora
- **Quetre**
   - Alternative front-end to Quora. It enables you to see answers without ads, trackers, and popups. Has an unofficial API.
   - [Main Instance](https://quetre.herokuapp.com/) | [Repo](https://github.com/zyachel/quetre#instances)
   - [Public Instances](https://github.com/zyachel/quetre#instances)
   - Pattern for Redirector: `*quora.com/*` to `https://quetre.herokuapp.com/$2`
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/zyachel/quetre#instances) | [Heroku Deploy](https://heroku.com/deploy?template=https://github.com/zyachel/quetre)

### GitHub
- **GotHub**
   - Minimalist JS-free Github frontend in Go
   - Main Instance n/a | [Repo](https://codeberg.org/gothub/gothub)
   - [Public Instances](https://codeberg.org/gothub/gothub#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/gothub/gothub#setup)

   ⓘ Gothub is in early development

### StackOverflow
- **AnonymousOverflow**
   - View StackOverflow in privacy and without the clutter
   - [Main Instance](https://code.whatever.social) | [Repo](https://github.com/httpjamesm/AnonymousOverflow)
   - [Public Instances](https://github.com/httpjamesm/AnonymousOverflow#clearnet-instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/httpjamesm/AnonymousOverflow/wiki/Deployment)
   - [x] Decentralized Options | [I2P](https://github.com/httpjamesm/AnonymousOverflow#other-instances) | [Onion](https://github.com/httpjamesm/AnonymousOverflow#other-instances)

### IMDb
- **Libremdb**
   - A lightweight, ad-free and js-free alternative front-end to IMDb
   - [Main Instance](https://libremdb.iket.me) | [Repo](https://github.com/zyachel/libremdb)
   - [Public Instances](https://github.com/zyachel/libremdb#instances)
   - Pattern for Redirector: `https://www.imdb.com/*` to `https://libremd.herokuapp.com/$1`
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/zyachel/libremdb#installation)

### Genius
- **Dumb**
   - Dumb tries to make reading lyrics from Genius a pleasant experience and as lightweight as possible
   - Main Instance n/a | [Repo](https://github.com/rramiachraf/dumb)
   - [Public Instances](https://github.com/rramiachraf/dumb#public-instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/rramiachraf/dumb#installation--usage)
   - [x] Decentralized Options | [I2P](https://github.com/rramiachraf/dumb#i2p) | [Onion](https://github.com/rramiachraf/dumb#tor)

### XVideos
- **PornInvidious [NSFW!]**
   - A privacy respecting frontend for XVideos from the team behind SimplyTranslate
   - [Main Instance](https://porninvidious.esmailelbob.xyz) | [Repo](https://codeberg.org/SimpleWeb/PornInvidious)
   - [Public Instances](https://simple-web.org/instances/porninvidious)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/SimpleWeb/PornInvidious#how-to-use)
   
     ⓘ PornInvidious is in early developement, please audit the code if you intend to selfhost it.

### Fandom
- **BreezeWiki**
   - A privacy-friendly, decluttered frontend for Fandom wikis
   - [Main Instance](https://breezewiki.com/) | [Repo](https://gitdab.com/cadence/breezewiki)
   - [Public Instances](https://docs.breezewiki.com/Links.html#%28part._.Instances%29)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://docs.breezewiki.com/Running.html)
   
### Translate
- **Lingva**
   - Tracking-free Google Translate frontend
   - [Main Instance](https://lingva.ml/) | [Repo](https://github.com/TheDavidDelta/lingva-translate)
   - [Public Instances](https://github.com/TheDavidDelta/lingva-translate#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/TheDavidDelta/lingva-translate#deployment)

- **SimplyTranslate**
   - FOSS Javascript-free frontend for multiple translators, including Google Translate and DeepL
   - [Homepage](https://simple-web.org/projects/simplytranslate.html) | [Main Instance](https://simplytranslate.org) | [Repo](https://codeberg.org/SimpleWeb/SimplyTranslate-Web) 
   - [Public Instances](https://simple-web.org/instances/simplytranslate)
   - [x] Open-Source
   - [x] Self-Hostable

### Search Engines
- **Whoogle**
   - Google search result frontend without Javascript, ads, cookies and tracking. Tor and HTTP/SOCKS proxy support
   - Main Instance n/a | [Repo](https://github.com/benbusby/whoogle-search)
   - [Public Instances](https://github.com/benbusby/whoogle-search#public-instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/benbusby/whoogle-search#install)

- **LibreX**
   - A privacy respecting meta search engine for Google and popular torrent sites which can redirect to privacy-respecting frontends
   - [Main Instance](https://search.femboy.hu) | [Repo](https://github.com/hnhx/librex)
   - [Public Instances](https://github.com/hnhx/librex#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/hnhx/librex/wiki/How-to-host-LibreX)
   - [x] Decentralized Options | [I2P](https://github.com/hnhx/librex#instances) | [Onion](https://github.com/hnhx/librex#instances)

- **SearX**
   - Privacy-respecting, self-hostable metasearch engine. Acts as frontend for more than 70 search services.
   - [Homepage](https://searx.github.io/searx) | [Repo](https://github.com/searx/searx)
   - [Public Instances](https://searx.space)
   - [x] Open-Source
   - [x] Self-Hostable
   - [x] Decentralized Options | [Onion](https://searx.space)

- **SearxNG**
   - Fork of SearX with UI improvements (including to the settings page) and updates to the selfhosting procedure.
   - [Homepage](https://searxng.org) | [Repo](https://github.com/searxng/searxng)
   - [Public Instances](https://searx.space)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://docs.searxng.org/admin/index.html)
   - [x] Decentralized Options | [Onion](https://searx.space)
 
- **4Get**
   - Meta-search engine that removes tracking parameters. Supports all major providers, including image and video embedding.
   - [Main instance](https://4get.ca) | [Repo](https://git.lolcat.ca/lolcat/4get)
   - [Public Instances](https://4get.ca/instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://git.lolcat.ca/lolcat/4get#installation)
   - [x] Decentralized Options | [Onion](http://4getwebfrq5zr4sxugk6htxvawqehxtdgjrbcn2oslllcol2vepa23yd.onion)

### Instagram
- **Bibliogram [Deprecated]**
   - Alternative Instagram frontend without Javascript, tracking, ads and signup prompts. Currently unstable due to Instagram's server blocking.
   - [Main Instance](https://bibliogram.art/) | [Repo](https://sr.ht/~cadence/bibliogram/)
   - [Public Instances](https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Instances.md) 
   - [x] Open-Source 
   - [x] Self-Hostable | [Guide](https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Installing%20%28extended%29.md)

   ⓘ Bibliogram's development has stopped as Instagram is continuing to block servers (if you want to pick up the development of Bibliogram, check [this blog post](https://cadence.moe/blog/2022-09-01-discontinuing-bibliogram) by the original maintainer). There currently is no working open source frontend for Instagram. For some reason, closed source proxy sites like [this one](https://www.pixwox.com) continue working despite doing the exact same thing Bibliogram did.

### Odysee
- **Librarian**
   - Open-Source, lightweight and privacy-respecting frontened for Odysee.
   - [Main Instance](https://lbry.bcow.xyz) | [Repo](https://codeberg.org/librarian/librarian)
   - [Public Instances](https://codeberg.org/librarian/librarian#clearnet)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/librarian/librarian#install)
   - [x] Decentralized Options | [Onion](https://codeberg.org/librarian/librarian#tor)

### Wikipedia
- **Wikiless**
   - A Javascript-free Wikipedia frontend. Should work in countries where Wikipedia is censored.
   - [Main Instance](https://wikiless.org) | [Repo](https://codeberg.org/orenom/wikiless)
   - [Public Instances](https://codeberg.org/orenom/wikiless#instances)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://codeberg.org/orenom/wikiless#installation)

   ⓘ Might or might not be abandoned. There were issues with Wikimedia it appears.

___

### Tools

- **Farside**
   - Automatically redirects to working instances of alternative frontends. Helps prevent performance bottlenecks by distributing across instances.
   - [Homepage](https://farside.link) | [Repo](https://github.com/benbusby/farside)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://github.com/benbusby/farside#development)

- **Privacy Redirect**
   - Browser extension that automatically redirects to the alternative frontends of several services. Available for Chromium browsers and Firefox.
   - [Download & Repo](https://github.com/SimonBrazell/privacy-redirect)
   - [x] Open-Source

   ⓘ Developement of Privacy Redirect has ended/paused, consider using LibRedirect instead

- **LibRedirect**
   - Maintained fork of Privacy Redirect with new services added and a refreshed UI.
   - [Homepage & Download](https://libredirect.github.io) | [Repo](https://github.com/libredirect/libredirect)
   - [x] Open-Source

- **Redirector**
   - If a service you want to redirect to is not supported by LibRedirect, this extension lets you manually define redirects.
   - [Homepage & Download](https://einaregilsson.com/redirector) | [Repo](https://github.com/einaregilsson/Redirector)
   - [x] Open-Source

- **SSL Labs**
   - Free tool by Qualys that does a deep analysis to check the SSL implementation of a server. Helpful to check public instances. You'll find this on the [Piped](#youtube) page for instance.
   - [Homepage](https://www.ssllabs.com/ssltest/)
   - [ ] Open-Source

   ⓘ Not Open Source, but made by a trustworthy company and operates with a [good privacy policy](https://www.ssllabs.com/downloads/Qualys_SSL_Labs_Terms_of_Use.pdf).

- **Translate You Libre**
   - FOSS Android frontend for LibreTranslate and Lingva. Uses Material You
   - [Download](https://github.com/bnyro/translateyou/releases) | [Repo](https://github.com/Bnyro/TranslateYou)
   - [x] Open-Source

- **UntrackMe**
   - FOSS Android app that redirects to the alternative frontends of several services. Can also clean tracking parameters.
   - [Download & Homepage](https://fedilab.app/wiki/untrackme) | [Repo](https://framagit.org/tom79/nitterizeme) 
   - [x] Open-Source

- **YunoHost**
   - Novice-friendly server OS. Easily host multiple of the listed services on your own hardware (e. g. a Raspberry Pi) using templates.
   - [Download & Homepage](https://yunohost.org) | [Repo](https://github.com/YunoHost)
   - [x] Open-Source
   - [x] Self-Hostable | [Guide](https://yunohost.org/en/install)

___
<sup>**Legal addendum**</sup>

<sup>This repository is not affiliated with any of the mentioned companies. Trademarks belong to their respective owners.
YouTube is a trademark of Google LLC. YouTube Music is a trademark of Google LLC. Google is a trademark of Google LLC. Reddit is a trademark of Reddit Inc. Twitter is a trademark of Twitter Inc. Imgur is a trademark of MediaLab AI, Inc. Instagram is a trademark of Meta Platforms. Medium is a trademark of A Medium Corporation. Tiktok is a trademark of Bytedance Ltd. IMDb is a trademark of IMDb.com, Inc. Odysee is a trademark of Odysee, Inc. Quora is a trademark of Quora Inc. XVIDEOS is a trademark of WEBGROUP CZECH REPUBLIC, A.S. FANDOM is a trademark of Fandom, Inc. GitHub is a trademark of GitHub, Inc. StackOverflow is a trademark Stack Exchange, Inc. Genius is a trademark of ML Genius Holdings, LLC.</sup>

<sup> The creators of this repository assume no liability for the accuracy and timeliness of any information provided above. Trademark owner information was researched to the best of the author's knowledge at the time of curation and may be outdated or incorrect.</sup>
